> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.BulkListAdGroupAssignedTargetingOptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.aspect)
- [AdGroupAssignedTargetingOption](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#AdGroupAssignedTargetingOption)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#AdGroupAssignedTargetingOption.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#try-it)

Lists assigned targeting options for multiple ad groups across targeting types.

Inherited assigned targeting options are not included.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/adGroups:bulkListAssignedTargetingOptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser the line items belongs to. |

### Query parameters

| Parameters ||
|---|---|
| `adGroupIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The IDs of the ad groups to list assigned targeting options for. |
| `pageSize` | `integer` Optional. Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` Optional. A token that lets the client fetch the next page of results. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.BulkListAdGroupAssignedTargetingOptionsResponse.FIELDS.next_page_token` returned from the previous call to the `BulkListAdGroupAssignedTargetingOptions` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Optional. Field by which to sort the list. Acceptable values are: - `adGroupId` (default) - `assignedTargetingOption.targetingType` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `targetingType desc`. |
| `filter` | `string` Optional. Allows filtering by assigned targeting option fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the logical operator `OR`. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `targetingType` Examples: - `AssignedTargetingOption` resources of targeting type `TARGETING_TYPE_YOUTUBE_VIDEO` or `TARGETING_TYPE_YOUTUBE_CHANNEL`: `targetingType="TARGETING_TYPE_YOUTUBE_VIDEO" OR targetingType="TARGETING_TYPE_YOUTUBE_CHANNEL"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "adGroupAssignedTargetingOptions": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#AdGroupAssignedTargetingOption`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `adGroupAssignedTargetingOptions[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#AdGroupAssignedTargetingOption`)`` The list of wrapper objects, each providing an assigned targeting option and the ad group it is assigned to. This list will be absent if empty. |
| `nextPageToken` | `string` A token identifying the next page of results. This value should be specified as the `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#body.QUERY_PARAMETERS.page_token` in a subsequent call to `BulkListAdGroupAssignedTargetingOptions` to fetch the next page of results. This token will be absent if there are no more `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups/bulkListAssignedTargetingOptions#AdGroupAssignedTargetingOption` resources to return. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AdGroupAssignedTargetingOption

Wrapper object associating an `https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption` resource and the ad group it is assigned to.

| JSON representation |
|---|
| ``` { "adGroupId": string, "assignedTargetingOption": { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`) } } ``` |

| Fields ||
|---|---|
| `adGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the ad group the assigned targeting option is assigned to. |
| `assignedTargetingOption` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.adGroups.targetingTypes.assignedTargetingOptions#AssignedTargetingOption`)`` The assigned targeting option resource. |